Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.wsdl
Class RPPolicy

    java.lang.Object
      org.eclipse.higgins.ics.ws.wsdl.RPPolicy

All Implemented Interfaces:
  Serializable

public class RPPolicy
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`RPPolicy()`
`RPPolicy(String[] label, String[] labelType, String longOptional, String longlabel, String[] optional, String[] optionalType, String privacyVersion)`

Method Summary
`boolean` | `equals(Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`String[]` | `getLabel()` Gets the label value for this RPPolicy.
`String[]` | `getLabelType()` Gets the labelType value for this RPPolicy.
`String` | `getLonglabel()` Gets the longlabel value for this RPPolicy.
`String` | `getLongOptional()` Gets the longOptional value for this RPPolicy.
`String[]` | `getOptional()` Gets the optional value for this RPPolicy.
`String[]` | `getOptionalType()` Gets the optionalType value for this RPPolicy.
`String` | `getPrivacyVersion()` Gets the privacyVersion value for this RPPolicy.
`static org.apache.axis.encoding.Serializer` | `getSerializer(String mechType, Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setLabel(String[] label)` Sets the label value for this RPPolicy.
`void` | `setLabelType(String[] labelType)` Sets the labelType value for this RPPolicy.
`void` | `setLonglabel(String longlabel)` Sets the longlabel value for this RPPolicy.
`void` | `setLongOptional(String longOptional)` Sets the longOptional value for this RPPolicy.
`void` | `setOptional(String[] optional)` Sets the optional value for this RPPolicy.
`void` | `setOptionalType(String[] optionalType)` Sets the optionalType value for this RPPolicy.
`void` | `setPrivacyVersion(String privacyVersion)` Sets the privacyVersion value for this RPPolicy.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPPolicy

    public RPPolicy()

### RPPolicy

    public RPPolicy(String[] label,
                    String[] labelType,
                    String longOptional,
                    String longlabel,
                    String[] optional,
                    String[] optionalType,
                    String privacyVersion)

Method Detail

### getLabel

    public String[] getLabel()

  Gets the label value for this RPPolicy.

  Returns:
    label

### setLabel

    public void setLabel(String[] label)

  Sets the label value for this RPPolicy.

  Parameters:
    `label` -

### getLabelType

    public String[] getLabelType()

  Gets the labelType value for this RPPolicy.

  Returns:
    labelType

### setLabelType

    public void setLabelType(String[] labelType)

  Sets the labelType value for this RPPolicy.

  Parameters:
    `labelType` -

### getLongOptional

    public String getLongOptional()

  Gets the longOptional value for this RPPolicy.

  Returns:
    longOptional

### setLongOptional

    public void setLongOptional(String longOptional)

  Sets the longOptional value for this RPPolicy.

  Parameters:
    `longOptional` -

### getLonglabel

    public String getLonglabel()

  Gets the longlabel value for this RPPolicy.

  Returns:
    longlabel

### setLonglabel

    public void setLonglabel(String longlabel)

  Sets the longlabel value for this RPPolicy.

  Parameters:
    `longlabel` -

### getOptional

    public String[] getOptional()

  Gets the optional value for this RPPolicy.

  Returns:
    optional

### setOptional

    public void setOptional(String[] optional)

  Sets the optional value for this RPPolicy.

  Parameters:
    `optional` -

### getOptionalType

    public String[] getOptionalType()

  Gets the optionalType value for this RPPolicy.

  Returns:
    optionalType

### setOptionalType

    public void setOptionalType(String[] optionalType)

  Sets the optionalType value for this RPPolicy.

  Parameters:
    `optionalType` -

### getPrivacyVersion

    public String getPrivacyVersion()

  Gets the privacyVersion value for this RPPolicy.

  Returns:
    privacyVersion

### setPrivacyVersion

    public void setPrivacyVersion(String privacyVersion)

  Sets the privacyVersion value for this RPPolicy.

  Parameters:
    `privacyVersion` -

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(String mechType,
                                                                    Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(String mechType,
                                                                        Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD